JAASLoginInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor.security

## Class JAASLoginInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.JAASLoginInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class JAASLoginInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ROLE_CLASSIFIER_CLASS_NAME` |
    `static String` | `ROLE_CLASSIFIER_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JAASLoginInterceptor()` |
    `JAASLoginInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCallbackHandlerProviders​(List<CallbackHandlerProvider> callbackHandlerProviders2)` |
    `protected SecurityContext` | `createSecurityContext​(String name, Subject subject)` |
    `protected CallbackHandler` | `getCallbackHandler​(String name, String password)` |
    `List<CallbackHandlerProvider>` | `getCallbackHandlerProviders()` |
    `String` | `getContextName()` |
    `Configuration` | `getLoginConfig()` |
    `String` | `getRoleClassifier()` |
    `String` | `getRoleClassifierType()` |
    `void` | `handleMessage​(Message message)` | Intercepts a message.
    `void` | `setAllowAnonymous​(boolean allowAnonymous)` |
    `void` | `setAllowNamedPrincipals​(boolean allowNamedPrincipals)` |
    `void` | `setCallbackHandlerProviders​(List<CallbackHandlerProvider> callbackHandlerProviders)` |
    `void` | `setContextName​(String name)` |
    `void` | `setLoginConfig​(Configuration loginConfig)` |
    `void` | `setReportFault​(boolean reportFault)` |
    `void` | `setRoleClassifier​(String value)` |
    `void` | `setRoleClassifierType​(String value)` |
    `void` | `setRolePrefix​(String name)` | Deprecated. replaced by `setRoleClassifier(String)`
    `void` | `setUseDoAs​(boolean useDoAs)` |

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROLE_CLASSIFIER_PREFIX

          public static final String ROLE_CLASSIFIER_PREFIX

      See Also:
        Constant Field Values

    - #### ROLE_CLASSIFIER_CLASS_NAME

          public static final String ROLE_CLASSIFIER_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JAASLoginInterceptor

          public JAASLoginInterceptor()

    - #### JAASLoginInterceptor

          public JAASLoginInterceptor​(String phase)

  - ### Method Detail

    - #### setContextName

          public void setContextName​(String name)

    - #### getContextName

          public String getContextName()

    - #### setRolePrefix

          @Deprecated
          public void setRolePrefix​(String name)

      Deprecated.
      replaced by `setRoleClassifier(String)`
      Parameters:
        `name` -

    - #### setRoleClassifier

          public void setRoleClassifier​(String value)

    - #### getRoleClassifier

          public String getRoleClassifier()

    - #### setRoleClassifierType

          public void setRoleClassifierType​(String value)

    - #### getRoleClassifierType

          public String getRoleClassifierType()

    - #### setReportFault

          public void setReportFault​(boolean reportFault)

    - #### setUseDoAs

          public void setUseDoAs​(boolean useDoAs)

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### getCallbackHandler

          protected CallbackHandler getCallbackHandler​(String name,
                                                       String password)

    - #### createSecurityContext

          protected SecurityContext createSecurityContext​(String name,
                                                          Subject subject)

    - #### getLoginConfig

          public Configuration getLoginConfig()

    - #### setLoginConfig

          public void setLoginConfig​(Configuration loginConfig)

    - #### getCallbackHandlerProviders

          public List<CallbackHandlerProvider> getCallbackHandlerProviders()

    - #### setCallbackHandlerProviders

          public void setCallbackHandlerProviders​(List<CallbackHandlerProvider> callbackHandlerProviders)

    - #### addCallbackHandlerProviders

          public void addCallbackHandlerProviders​(List<CallbackHandlerProvider> callbackHandlerProviders2)

    - #### setAllowAnonymous

          public void setAllowAnonymous​(boolean allowAnonymous)

    - #### setAllowNamedPrincipals

          public void setAllowNamedPrincipals​(boolean allowNamedPrincipals)